#!/usr/bin/env python
# -*- coding: ISO-8859-15 -*-
import os
from coral.modeler import modeler,action


m=modeler.ModelerWindow()

filename = "tmp/tmp_Ã¥.xml"
try:
    os.remove(filename)
except:
    pass

action.newProject(["UML", 1, 4])
action.saveProjectAs("tmp/tmp_å.xml")
assert os.stat(filename)
action.openProject("tmp/tmp_å.xml")
action.quit()
